QGIS Application - Bug report #15297

Crash when unquoted page name containing space is used in Atlas

2016-07-18 02:32 AM - Augustin Roche

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.16.0
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 23231

Description

In the atlas generation thumbnail, you can select the field to use as page name. This field name is not quoted when you select it. If you
activate the atlas preview and the unquoted field name contains space, QGIS crashes. If you enclose the field name in quotes, the

preview works fine.

Tested on Windows 7, with QGIS 2.16.

Associated revisions

Revision 631b5e87 - 2016-07-19 01:21 AM - Nyall Dawson

[composer] Avoid crash when atlas page name field has spaces

Fix #15297

Revision 7ecde97f - 2016-07-19 07:01 AM - Nyall Dawson

[composer] Avoid crash when atlas page name field has spaces

Fix #15297

(cherry-picked from 631b5e87c3d4d72b80e6087c48caf7d73a477213)

Revision 8f2eb817 - 2016-07-19 09:26 AM - Nyall Dawson

[composer] Avoid crash when atlas page name field has spaces

Fix #15297

(cherry-picked from 631b5e87c3d4d72b80e6087c48caf7d73a477213)

Revision e45b964f - 2016-07-19 11:52 PM - Nyall Dawson

[composer] Avoid crash when atlas page name field has spaces

Fix #15297
(cherry-picked from 631b5e87c3d4d72b80e6087c48caf7d73a477213)

History

#1 - 2016-07-18 04:21 PM - Nyall Dawson
- Status changed from Open to Closed

Fixed in changeset commit:"631b5e87¢c3d4d72b80e6087c48caf7d73a477213".
